Subject: FVWM: Year 2000

From: Kristin Rustad <[email-masked]>
Date: Tue, 20 Oct 1998 13:40:32 +0100

Geco-Prakla,
Schlumberger House,
P.O. Box 234 
N-1371 Asker
Norway								Asker 20th October  98

Dear Sir or Madam:

As you are aware, the advent of the year 2000 has generated many issues and
problems within the IT industry, and we have underway a project to
investigate the impact and consequences on Schlumberger.  As part of this
project, we need to determine the status of Year 2000 compliance of
products and services supplied to us by our vendors.
The concept of Year 2000 compliance is:
the product will continue to function, and its functionality and accuracy
(both logical and mathematical) will not be affected as a result of the
"run date" or the dates being processed (irrespective of century), and the
product recognizes February 29, 2000 as a valid date.
On the attachment, we list the products you supply to us (together with
release version).  For each of these products, please indicate:

Is the designated release version Year 2000 Compliant?
If "yes", then:

1. How does the product implement Year 2000 Compliance? -- e.g., full ISO
Standard 8601 standard date format, logical interpretation of a 2-digit
date, date windowing, etc.?)
 
2. Are any of the previous release versions Year 2000 Compliant?  Which ones?
 
3. Is compliance dependent on other product release versions being in use
(e.g., of operating systems)?
 
4. If your product uses components from other suppliers, have you ensured
that they are also Year 2000 Compliant?
 
5. Can you demonstrate Year 2000 Compliance if requested (at a user site or
at your test site?

If "no", then:

1.  What type of non-compliance exists: 
· will the product continue to run but not produce Year 2000 Compliant
results?
-- or --
· will the product fail?
2.  Is a Year 2000 Compliant version planned, and when will it be released?
3.  If a compliant version is planned, how will compliance be achieved
(e.g., expansion of the dates fields to ISO 8601 standard date format, etc.)?
4.	To help quantify the upgrade effort, please indicate any additional
processes that will be required beyond a normal "installation" process.
5.	Will there be any additional cost to us for a Year 2000 compliant
version?  If so, how much?
6.	If our current release version is not Year 2000 Compliant, indicate when
failures related to the century date change may begin to occur or manifest,
and what types of problems may ensue.  (In our experience, in some cases
this may be before January 1, 2000.)

We would very much appreciate your response to this inquiry by 16th of
November 98.  We appreciate that this request may require some time and
effort on your part; in advance, we thank you for your help.  We are sure
that Year 2000 compliance issues are of interest to your other customers,
and to you as a customer of your own suppliers, and we share with you hopes
for a smooth move through to the next century.

Please see attachment.

Yours faithfully

Kristin Rustad for

William Cannell
Project Engineer & Y2K coordinator, Land Acquisition Systems Development

PRODUCT INFORMATION:

Product name:	fvwm95: 2.0.43a
		fvw2: 2.0.46

Kristin Rustad
Geco-Prakla, Schlumberger House
Solbråveien 23, 1370 Asker
direct phone: +47 66 78 81 75		
switchboard:  +47 66 78 80 00		
fax: +47 66 78 85 00			
email: [email-masked]
¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤¤

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Pete Forman <[email-masked]>
Date: Wed, 21 Oct 1998 09:47:28 +0100

> Norway                               Asker 20th October  98
                                                            ^^
 > Dear Sir or Madam:
 > 
 > As you are aware, the advent of the year 2000 has generated many
 > issues and problems within the IT industry, and we have underway a
 > project to investigate the impact and consequences on Schlumberger.
 > As part of this project, we need to determine the status of Year
 > 2000 compliance of products and services supplied to us by our
 > vendors.
   ^^^^^^^
Just how much did you pay for FVWM?

 > We would very much appreciate your response to this inquiry by 16th
 > of November 98.
               ^^
It looks like you've a bit more work to do on Y2K. :-)

But seriously, you have access to the free source code and it your own
responsibility to check for Y2K compliance.  Nobody else will provide
a guarantee.  (Unless perhaps you pay a Y2K consultant to do it for
you.)
-- 
Pete Forman
Western Geophysical
[email-masked]
=== These are my own comments and do not necessarily represent the
=== views of Western Geophysical
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].